package com.github.wxiaoqi.security.common.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

public class BaseEntity implements Serializable {
    //主键
    @Id
    private Integer id;

    //创建时间
    @Column(name = "crt_time")
    private Date crtTime;

    //创建者id
    @Column(name = "crt_user")
    private String crtUser;

    //创建者名称
    @Column(name = "crt_name")
    private String crtName;

    //创建者ip
    @Column(name = "crt_host")
    private String crtHost;

    //更新时间
    @Column(name = "upd_time")
    private Date updTime;

    //更新者id
    @Column(name = "upd_user")
    private String updUser;

    //更新者名称
    @Column(name = "upd_name")
    private String updName;

    //更新者ip
    @Column(name = "upd_host")
    private String updHost;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCrtTime() {
        return crtTime;
    }

    public void setCrtTime(Date crtTime) {
        this.crtTime = crtTime;
    }

    public String getCrtUser() {
        return crtUser;
    }

    public void setCrtUser(String crtUser) {
        this.crtUser = crtUser;
    }

    public String getCrtName() {
        return crtName;
    }

    public void setCrtName(String crtName) {
        this.crtName = crtName;
    }

    public String getCrtHost() {
        return crtHost;
    }

    public void setCrtHost(String crtHost) {
        this.crtHost = crtHost;
    }

    public Date getUpdTime() {
        return updTime;
    }

    public void setUpdTime(Date updTime) {
        this.updTime = updTime;
    }

    public String getUpdUser() {
        return updUser;
    }

    public void setUpdUser(String updUser) {
        this.updUser = updUser;
    }

    public String getUpdName() {
        return updName;
    }

    public void setUpdName(String updName) {
        this.updName = updName;
    }

    public String getUpdHost() {
        return updHost;
    }

    public void setUpdHost(String updHost) {
        this.updHost = updHost;
    }
}
